#ifndef __GNUPLOT_CONNECTION__
#define __GNUPLOT_CONNECTION__

#include <QProcess>


/** Connection with Gnuplot.
 */
class GnuplotConnection:public QProcess
{
	Q_OBJECT
	QString svg_contents;
	enum State {NONE, SVG} parse_state;
	QString svg_terminal;
	public:
	GnuplotConnection(QObject *parent=0);
	void write( QString text);
	void replot();
	void setFont(QString name, int size);
	QString data;
	inline QString svgTerminal() {return svg_terminal;}
	public slots:
	void standardOutputReady();
	void gnuplotFinished(int exitCode, QProcess::ExitStatus exitStatus );
	signals:
	void plot(QByteArray svg_contents);
};


#endif
